LOSETUP(8)

NAZWA
losetup - konfiguracja i sterowanie urządzeniami pętli (loop)

SKŁADNIA
Pobieranie informacji:

losetup urządzenie_loop

losetup -l [-a]

losetup -j plik [-o ofset]

Odłączenie urządzenia loop:

losetup -d urządzenie_loop...

Odłączenie wszystkich przypisanych urządzeń loop:

losetup -D

Wyświetlanie nazwy pierwszego nieużywanego urządzenia loop:

losetup -f

Konfigurowanie urządzenia loop:

losetup [-o ofset] [--sizelimit rozmiar]
[-Pr] [--show] -f|urządzenie_loop plik

Zmiana rozmiaru urządzenia loop:

losetup -c urządzenie_loop

OPIS
losetup służy do kojarzenia urządzeń loop (pętli) z plikami zwykłymi lub urządzeniami blokowymi, do odłączania urządzeń loop i sprawdzania ich stanu. Jeżeli podano tylko argument urządzenie_loop, to pokazywany jest stan odpowiedniego urządzenia loop. Jeśli nie podano żadnej opcji, to wyświetlane są wszystkie urządzenia loop.

Proszę zauważyć, że stary format wyjściowy (tj. losetup -a) z łańcuchami znaków oddzielonymi od siebie przecinkami jest przestarzały. Zamiast niego preferowanym formatem jest format --list.

OPCJE
Po argumentach rozmiar i ofset mogą występować sufiksy binarne (2^N): KiB (=1024), MiB (=1024*1024) i tak dalej dla GiB, TiB, PiB, EiB, ZiB oraz YiB (część "iB" jest opcjonalna, na przykład "K" ma to samo znaczenie, co "KiB") lub decymalne (10^N): KB (=1000), MB (=1000*1000) i podobnie dla GB, PB, EB, ZB oraz YB.

-a, --all
    Wyświetla stan wszystkich urządzeń loop. Proszę zauważyć, że nie wszystkie informacje są dostępne dla użytkowników niebędących administratorami. Patrz także --list. Stary format (wypisywany, jeśli nie podano --list) jest niezalecany.

-c, --set-capacity urządzenie_loop
    Wymusza na sterowniku loop ponowne odczytanie rozmiaru pliku skojarzonego z podanym urządzeniem loop.

-d, --detach urządzenie_loop...
    Odłącza plik lub urządzenie skojarzone z podanym urządzeniem (urządzeniami) loop.

-D, --detach-all
    Odłącza wszystkie przypisane urządzenia loop.

--direct-io[=on|off]
    Włączą lub wyłącza bezpośrednie wejście/wyjście na pliku, używanym przez urządzenie loop. Opcjonalnym argumentem może być albo on, albo off. Jeśli argument nie jest podany, to domyślnie jest to on.

-f, --find
    Szuka pierwszego nieużywanego urządzenia loop. Jeśli podano argument plik, to używa tego znalezionego urządzenia jako urządzenia loop. W przeciwnym wypadku wyświetla jego nazwę.

-j, --associated plik
    Wwyświetla stan wszystkich urządzeń loop skojarzonym z podanym plikiem.

-J, --json
    Używa formatu JSON w wyjściu --list.

-l, --list
    Jeśli podano urządzenie loop lub opcję -a, to wyświetla domyślne kolumny albo dla podanego urządzenia, albo dla wszystkich urządzeń loop. Domyślnie wyświetla informacje o wszystkich urządzeniach. Patrz także --output, --noheadings --json oraz --raw.

-n, --noheadings
    Nie wyświetla nagłówków w wyjściu formatu opcji --list.

-o, --offset ofset
    Początek danych przesuwany jest ofset bajtów w podanego pliku lub urządzenia.

-O, --output kolumny
    Podaje kolumny, które będą wypisane przez opcję --list.

-P, --partscan
    Wymusza na jądrze skanowanie tablic partycji na nowo dodanym urządzeniu loop.

--raw
    Używa surowego formatu wyjściowego w --list.

-r, --read-only
    Konfiguruje urządzenie loop jako tylko do odczytu.

--sizelimit rozmiar
    Koniec danych jest ustawiany na nie więcej niż rozmiar bajtów, licząc od początku danych.

--show
    Wyświetla nazwę przypisanego urządzenia loop, jeśli podano opcję -f i argument plik.

-v, --verbose
    Tryb szczegółowy.

-V, --version
    Wypisuje informację o wersji programu i kończy działanie.

-h, --help
    Wyświetla tekst pomocy i wychodzi.

SZYFROWANIE
Cryptoloop jest przestarzały, zamiast niego zalecany jest dm-crypt. Szczegóły można znaleźć w cryptsetup(8).

WARTOŚĆ ZWRACANA
losetup zwraca 0, jeśli zakończyło się pomyślnie, a wartość niezerową w przypadku błędu. Gdy losetup wyświetla stan urządzenia loop, to zwraca 1, jeśli urządzenie nie jest skonfigurowane, lub 2, gdy wystąpił błąd uniemożliwiający określenie stanu urządzenia.

PLIKI

/dev/loop[0..N]
    urządzenia blokowe urządzenia loop

/dev/loop-control
    urządzenie kontrolne urządzenia loop

PRZYKŁAD
Jako przykład użycia urządzenia loop posłużą poniższe polecenia:

    # dd if=/dev/zero of=~/plik.img bs=1MiB count=10
    # losetup --find --show ~/plik.img
    /dev/loop0
    # mkfs -t ext2 /dev/loop0
    # mount /dev/loop0 /mnt
     ...
    # umount /dev/loop0
    # losetup --detach /dev/loop0

ŚRODOWISKO

LOOPDEV_DEBUG=all
    włącza komunikaty debugowania.

AUTORZY
Karel Zak <kzak@redhat.com>, na podstawie oryginalnej wersji, której autorem był Theodore Ts'o <tytso@athena.mit.edu>

DOSTĘPNOŚĆ
Polecenie losetup jest częścią pakietu util-linux i jest dostępne pod adresem ftp://ftp.kernel.org/pub/linux/utils/util-linux/.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl> i Robert Luberda <robert@debian.org>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 2.28.2 oryginału.